View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000162Ecere SDKecerepublic2009-05-03 05:482013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000162: Menus stuck on Alt
DescriptionShortcut keys when menu alt is down, Ctrl-Shift-F...
   Press alt, up etc. still goes to editbox! but down bring down menu...


When Alt hint on menu and Alt, Ctrl or F key press take out alt
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000132)
jerome (administrator)
2009-11-30 18:51

Fixed in Window::KeyMessage:

            if(menuBar.focus)
            {
               SmartKey sk = (SmartKey) key;
               if(character || sk == left || sk == right || sk == up || sk == down || sk == home || sk == end || sk == escape || sk == alt)
               {
                  status = menuBar.KeyMessage(method, key, character);
                  status = false;
               }
               else
               {
                  if(method == __ecereVMethodID___ecereNameSpace__ecere__gui__Window_OnKeyDown)
                     menuBar.OnKeyHit(escape, 0);
               }
               if(!menuBar.focus && guiApp.caretOwner)
                  guiApp.caretOwner.UpdateCaret(true, false);
            }

- Issue History
Date Modified Username Field Change
2009-05-03 05:48 jerome New Issue
2009-05-03 06:30 jerome Status new => assigned
2009-05-03 06:30 jerome Assigned To => jerome
2009-11-30 18:51 jerome Status assigned => resolved
2009-11-30 18:51 jerome Resolution open => fixed
2009-11-30 18:51 jerome Note Added: 0000132
2010-07-07 03:00 redj Target Version => 0.44d2
2010-07-25 21:25 redj Relationship added child of 0000429
2010-07-26 19:26 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:34 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:26 redj Relationship deleted child of 0000429
2012-03-08 18:08 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker